Contenu | Rechercher | Menus

Annonce

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 12/02/2019, à 11:41

Skyroots

[Résolu] Installation R version 3.5 sur ubuntu 16.04.5

Bonjour,

Je rencontre des difficultés pour installer la dernière version de R.

Par interface graphique j'obtiens le message suivant:

"Impossible de résoudre les dépendances du paquet
Cette erreur peut être provoquée par des paquets supplémentaires requis, mais absents ou non installables. En outre, il pourrait y avoir un conflit entre des paquets logiciels qui n'ont pas la permission d'être installés en même temps.
"

J'ai ensuite suivi les pages suivantes et j'ai essayé la plupart des lignes de commandes décrites, via le terminal :
https://cran.r-project.org/
et
https://rtask.thinkr.fr/blog/installati … -packages/
et
https://forum.ubuntu-fr.org/viewtopic.php?id=2034453

Mais rien ne marche. Voici déjà le premier obstacle:

:~$ deb https://cloud.r-project.org/bin/linux/ubuntu cosmic-cran35/
La commande « deb » est introuvable, vouliez-vous dire :
 La commande « dub » du paquet « dub » (universe)
 La commande « dex » du paquet « dex » (universe)
 La commande « debi » du paquet « devscripts » (main)
 La commande « deb3 » du paquet « quilt » (universe)
 La commande « dab » du paquet « bsdgames » (universe)
 La commande « debc » du paquet « devscripts » (main)
 La commande « xdeb » du paquet « xdeb » (universe)
 La commande « derb » du paquet « icu-devtools » (main)
deb : commande introuvable 

Un autre problème:

~$ sudo apt install r-base r-base-core r-recommended

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation : 

Les paquets suivants contiennent des dépendances non satisfaites :
 r-base-core : Dépend: libc6 (>= 2.27) mais 2.23-0ubuntu10 devra être installé
               Dépend: libcurl4 (>= 7.28.0) mais il n'est pas installable
               Dépend: libicu60 (>= 60.1-1~) mais il n'est pas installable
               Dépend: libpng16-16 (>= 1.6.2-1) mais il n'est pas installable
               Dépend: libreadline7 (>= 6.0) mais il n'est pas installable
               Recommande: r-base-dev mais ne sera pas installé
 r-recommended : Dépend: r-cran-kernsmooth (>= 2.2.14) mais ne sera pas installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ». 

Avez-vous une idée ? Merci d'avance !

Dernière modification par Skyroots (Le 14/02/2019, à 12:21)


Je débute Linux !
(Ubuntu 16.04.5 LTS)

"L'ouverture d'esprit n'a jamais fait de fracture au crâne"

Hors ligne

#2 Le 12/02/2019, à 12:36

xubu1957

Re : [Résolu] Installation R version 3.5 sur ubuntu 16.04.5

Bonjour,

:~$ deb https://cloud.r-project.org/bin/linux/ubuntu cosmic-cran35/

cosmic c'est la version Ubuntu 18.10. Tu utilises la version xenial 16.04.
_ _ _

J'avais lu :

Le 10/09/2018, nam1962 a écrit :

Si tu as besoin de Cran 3.5

echo "deb https://cloud.r-project.org/bin/linux/ubuntu xenial-cran35/" | sudo tee -a /etc/apt/sources.list.d/cran35.list

> [Résolu] Problèmes mises à jour/installation logiciels


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 18.04.1 LTS - Lenovo T410 -Toshiba Satellite A300  Membre de Linux-Azur

Hors ligne

#3 Le 12/02/2019, à 12:48

Skyroots

Re : [Résolu] Installation R version 3.5 sur ubuntu 16.04.5

Bonjour xubu1957,
Merci pour la réponse !

J'avais juste pris le premier exemple (le mauvais du coup ;-) ) du site, mais j'ai essayé toutes les commandes comme mentionné.
Et en fait :

deb https://cloud.r-project.org/bin/linux/ubuntu xenial-cran35/ 

ne marchait pas non plus.

Mais je viens de trouver une solution, qui est expliquée ici  :
https://askubuntu.com/questions/1031597 … for-ubuntu

cooooool! big_smile


Je débute Linux !
(Ubuntu 16.04.5 LTS)

"L'ouverture d'esprit n'a jamais fait de fracture au crâne"

Hors ligne

#4 Le 12/02/2019, à 19:08

Skyroots

Re : [Résolu] Installation R version 3.5 sur ubuntu 16.04.5

Rebonjour,
Alors en fait le problème n'est pas résolu.
R est bien installé mais depuis je n'arrive pas à installer ou charger de paquet, aucun.

Par exemple, avec le paquet ggplot2, ça met un temps bizarrement très long (environ 3 min) à installer avec plein de messages d'erreurs, trop longs à mettre ici. Il y a plusieurs messages de paquets ayant des "non zero exit status".
Je vais aussi lister quelques autres messages d'erreur:

console R:

Configuration failed because libcurl was not found. Try installing:
 * deb: libcurl4-openssl-dev (Debian, Ubuntu, etc)

Configuration failed because libxml-2.0 was not found. Try installing:
 * deb: libxml2-dev (Debian, Ubuntu, etc)
Configuration failed because cairo was not found. Try installing:
 * deb: libcairo2-dev (Debian, Ubuntu)
Please install:
     zlib1g-dev (package on e.g. Debian and Ubuntu)
     zlib-devel (package on e.g. Fedora, CentOS and RHEL)
   and try again.

   If the zlib library is installed on your
   system but the git2r configuration is
   unable to find it, you can specify the
   include and lib path to zlib with:
   R CMD INSTALL git2r --configure-vars='LIBS=-L/path/to/libs CPPFLAGS=-I/path/to/headers'

Unable to find the libgit2 library on this system. Building 'git2r'
   using the bundled source of the libgit2 library.

   To build git2r with a system installation of libgit2, please install:
     libgit2-dev   (package on e.g. Debian and Ubuntu)

Mais quand j’essaie d’installer ces paquets dans le shell, ça ne marche pas:

sudo apt-get install libcurl4-openssl-dev
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Aucune version du paquet libcurl4-openssl-dev n'est disponible, mais il existe dans la base
de données. Cela signifie en général que le paquet est manquant, qu'il est devenu obsolète
ou qu'il n'est disponible que sur une autre source

E: Le paquet « libcurl4-openssl-dev » n'a pas de version susceptible d'être installée

Idem avec  zlib1g-dev,  libxml2-dev et  libcairo2-dev.
Je ne comprends car ici les gens n’ont pas l’air de rencontrer de problème:
https://stackoverflow.com/questions/421 … -not-found

Donc après tous ces essais, si je charge le paquet (console R):

library("ggplot2")
Error in library("ggplot2") : aucun package nommé ‘ggplot2’ n'est trouvé

C’est pareil avec d’autres paquet, ggplot2 est juste un exemple.
j'ai essayé d'installer avec les dépendances:

install.packages("ggplot2", dependencies=TRUE)

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Aucune version du paquet libcurl4-openssl-dev n'est disponible, mais il existe dans la base
de données. Cela signifie en général que le paquet est manquant, qu'il est devenu obsolète
ou qu'il n'est disponible que sur une autre source

E: Le paquet « libcurl4-openssl-dev » n'a pas de version susceptible d'être installée

mais ça n'a rien changé. Idem pour les paquets rlang, devtools.

J'ai lu ça :
http://forums.cirad.fr/logiciel-r/viewtopic.php?t=5479

J'ai bien indiqué le chemin de la library où se trouve installé R version 3.5:

.libPaths("/home/usr/R/x86_64-pc-linux-gnu-library/3.5")

Mais même problème.

Bref, là je sèche un peu… Auriez-vous une idée ?
D’avance, merci beaucoup.

Dernière modification par Skyroots (Le 12/02/2019, à 19:09)


Je débute Linux !
(Ubuntu 16.04.5 LTS)

"L'ouverture d'esprit n'a jamais fait de fracture au crâne"

Hors ligne

#5 Le 12/02/2019, à 19:13

xubu1957

Re : [Résolu] Installation R version 3.5 sur ubuntu 16.04.5

Essaye :

sudo apt-get update
sudo apt-get install libcurl4-openssl-dev

> howtoinstall.co/en/ubuntu/xenial/libcurl4-openssl-dev


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 18.04.1 LTS - Lenovo T410 -Toshiba Satellite A300  Membre de Linux-Azur

Hors ligne

#6 Le 12/02/2019, à 19:21

Skyroots

Re : [Résolu] Installation R version 3.5 sur ubuntu 16.04.5

merci, ça ne marche pas:

Ign:1 http://boisson.homeip.net/ubuntu gutsy InRelease
Atteint:3 http://boisson.homeip.net/ubuntu gutsy Release                            
Ign:4 http://boisson.homeip.net/ubuntu gutsy Release.gpg                            
Atteint:5 http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu xenial InRelease
Atteint:6 http://ppa.launchpad.net/marutter/c2d4u3.5/ubuntu xenial InRelease 
Ign:7 http://boisson.homeip.net/ubuntu gutsy/lineo amd64 Packages.diff/Index                                   
Atteint:8 https://cloud.r-project.org/bin/linux/ubuntu bionic-cran35/ InRelease                                
Atteint:9 http://ppa.launchpad.net/marutter/rrutter/ubuntu xenial InRelease                                    
Ign:10 http://boisson.homeip.net/ubuntu gutsy/lineo i386 Packages.diff/Index                                   
Atteint:11 http://ppa.launchpad.net/marutter/rrutter3.5/ubuntu xenial InRelease                                
Ign:12 http://boisson.homeip.net/ubuntu gutsy/lineo Translation-fr_FR                                          
Atteint:13 http://ppa.launchpad.net/smathot/cogscinl/ubuntu xenial InRelease                                   
Ign:14 http://boisson.homeip.net/ubuntu gutsy/lineo Translation-fr                                              
Ign:15 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial InRelease                                             
Ign:16 http://boisson.homeip.net/ubuntu gutsy/lineo Translation-en                                              
Atteint:17 http://ppa.launchpad.net/webupd8team/java/ubuntu xenial InRelease                                    
Ign:18 http://boisson.homeip.net/ubuntu gutsy/lineo amd64 DEP-11 Metadata                                       
Atteint:19 http://ppa.launchpad.net/xorg-edgers/ppa/ubuntu xenial InRelease                                     
Ign:20 http://boisson.homeip.net/ubuntu gutsy/lineo DEP-11 64x64 Icons                                          
Réception de:2 http://ppa.launchpad.net/caffeine-developers/ppa/ubuntu xenial InRelease [17,5 kB]               
Ign:12 http://boisson.homeip.net/ubuntu gutsy/lineo Translation-fr_FR                             
Ign:14 http://boisson.homeip.net/ubuntu gutsy/lineo Translation-fr                                             
Ign:21 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial Release                                              
Ign:2 http://ppa.launchpad.net/caffeine-developers/ppa/ubuntu xenial InRelease
Ign:16 http://boisson.homeip.net/ubuntu gutsy/lineo Translation-en
Ign:22 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main amd64 Packages
Ign:18 http://boisson.homeip.net/ubuntu gutsy/lineo amd64 DEP-11 Metadata
Ign:23 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main i386 Packages
Ign:20 http://boisson.homeip.net/ubuntu gutsy/lineo DEP-11 64x64 Icons
Ign:24 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main all Packages
Ign:12 http://boisson.homeip.net/ubuntu gutsy/lineo Translation-fr_FR
Ign:25 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main Translation-fr_FR
Ign:14 http://boisson.homeip.net/ubuntu gutsy/lineo Translation-fr
Ign:26 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main Translation-fr
Ign:27 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main Translation-en
Ign:16 http://boisson.homeip.net/ubuntu gutsy/lineo Translation-en
Ign:28 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main amd64 DEP-11 Metadata
Ign:18 http://boisson.homeip.net/ubuntu gutsy/lineo amd64 DEP-11 Metadata
Ign:29 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main DEP-11 64x64 Icons
Ign:20 http://boisson.homeip.net/ubuntu gutsy/lineo DEP-11 64x64 Icons
Ign:22 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main amd64 Packages
Ign:12 http://boisson.homeip.net/ubuntu gutsy/lineo Translation-fr_FR
Ign:23 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main i386 Packages
Ign:14 http://boisson.homeip.net/ubuntu gutsy/lineo Translation-fr
Ign:24 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main all Packages
Ign:16 http://boisson.homeip.net/ubuntu gutsy/lineo Translation-en
Ign:25 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main Translation-fr_FR
Ign:18 http://boisson.homeip.net/ubuntu gutsy/lineo amd64 DEP-11 Metadata
Ign:26 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main Translation-fr
Ign:20 http://boisson.homeip.net/ubuntu gutsy/lineo DEP-11 64x64 Icons
Ign:27 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main Translation-en
Ign:12 http://boisson.homeip.net/ubuntu gutsy/lineo Translation-fr_FR
Ign:28 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main amd64 DEP-11 Metadata
Ign:14 http://boisson.homeip.net/ubuntu gutsy/lineo Translation-fr
Ign:29 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main DEP-11 64x64 Icons
Ign:16 http://boisson.homeip.net/ubuntu gutsy/lineo Translation-en
Ign:22 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main amd64 Packages
Ign:18 http://boisson.homeip.net/ubuntu gutsy/lineo amd64 DEP-11 Metadata
Ign:23 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main i386 Packages
Ign:20 http://boisson.homeip.net/ubuntu gutsy/lineo DEP-11 64x64 Icons
Ign:24 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main all Packages
Ign:12 http://boisson.homeip.net/ubuntu gutsy/lineo Translation-fr_FR
Ign:25 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main Translation-fr_FR
Ign:14 http://boisson.homeip.net/ubuntu gutsy/lineo Translation-fr
Ign:26 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main Translation-fr
Ign:16 http://boisson.homeip.net/ubuntu gutsy/lineo Translation-en
Ign:27 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main Translation-en
Ign:18 http://boisson.homeip.net/ubuntu gutsy/lineo amd64 DEP-11 Metadata
Ign:28 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main amd64 DEP-11 Metadata
Ign:20 http://boisson.homeip.net/ubuntu gutsy/lineo DEP-11 64x64 Icons
Ign:29 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main DEP-11 64x64 Icons
Ign:22 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main amd64 Packages
Ign:23 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main i386 Packages
Ign:24 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main all Packages
Ign:25 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main Translation-fr_FR
Ign:26 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main Translation-fr
Ign:27 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main Translation-en
Ign:28 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main amd64 DEP-11 Metadata
Ign:29 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main DEP-11 64x64 Icons
Ign:22 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main amd64 Packages
Ign:23 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main i386 Packages
Ign:24 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main all Packages
Ign:25 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main Translation-fr_FR
Ign:26 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main Translation-fr
Ign:27 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main Translation-en
Ign:28 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main amd64 DEP-11 Metadata
Ign:29 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main DEP-11 64x64 Icons
Err:22 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main amd64 Packages
  404  Not Found
Ign:23 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main i386 Packages
Ign:24 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main all Packages
Ign:25 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main Translation-fr_FR
Ign:26 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main Translation-fr
Ign:27 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main Translation-en
Ign:28 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main amd64 DEP-11 Metadata
Ign:29 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial/main DEP-11 64x64 Icons
17,5 ko réceptionnés en 4s (4 105 o/s)
Lecture des listes de paquets... Fait
W: Le dépôt http://boisson.homeip.net/ubuntu gutsy Release n'est pas signé.
N: Les données depuis un tel dépôt ne peuvent être authentifiées et sont donc potentiellement dangereuses à utiliser.
N: Voir les pages de manuel d'apt-secure(8) pour la création des dépôts et les détails de configuration d'un utilisateur.
W: Le dépôt http://ppa.launchpad.net/stvs/tomate/ubuntu xenial Release n'a pas de fichier Release.
N: Les données depuis un tel dépôt ne peuvent être authentifiées et sont donc potentiellement dangereuses à utiliser.
N: Voir les pages de manuel d'apt-secure(8) pour la création des dépôts et les détails de configuration d'un utilisateur.
W: Erreur de GPG : http://ppa.launchpad.net/caffeine-developers/ppa/ubuntu xenial InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 0F678A01569113AE
W: Le dépôt http://ppa.launchpad.net/caffeine-developers/ppa/ubuntu xenial InRelease n'est pas signé.
N: Les données depuis un tel dépôt ne peuvent être authentifiées et sont donc potentiellement dangereuses à utiliser.
N: Voir les pages de manuel d'apt-secure(8) pour la création des dépôts et les détails de configuration d'un utilisateur.
E: Impossible de récupérer http://ppa.launchpad.net/stvs/tomate/ubuntu/dists/xenial/main/binary-amd64/Packages  404  Not Found
E: Le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés, ou les anciens ont été utilisés à la place.
~$ sudo apt-get install libcurl4-openssl-dev
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Aucune version du paquet libcurl4-openssl-dev n'est disponible, mais il existe dans la base
de données. Cela signifie en général que le paquet est manquant, qu'il est devenu obsolète
ou qu'il n'est disponible que sur une autre source

E: Le paquet « libcurl4-openssl-dev » n'a pas de version susceptible d'être installée

Je débute Linux !
(Ubuntu 16.04.5 LTS)

"L'ouverture d'esprit n'a jamais fait de fracture au crâne"

Hors ligne

#7 Le 12/02/2019, à 19:24

xubu1957

Re : [Résolu] Installation R version 3.5 sur ubuntu 16.04.5

Je vois que tu as des dépôts gutsy

Cette version d'Ubuntu n'est plus maintenue depuis le 18 avril 2009. Pour continuer à recevoir des mises à jour de sécurité, veuillez mettre à niveau votre version d'Ubuntu vers une version activement soutenue.

Dernière modification par xubu1957 (Le 12/02/2019, à 19:28)


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 18.04.1 LTS - Lenovo T410 -Toshiba Satellite A300  Membre de Linux-Azur

Hors ligne

#8 Le 12/02/2019, à 19:26

Skyroots

Re : [Résolu] Installation R version 3.5 sur ubuntu 16.04.5

je dois migrer vers ubuntu 18 LTS ?

Dernière modification par Skyroots (Le 12/02/2019, à 19:29)


Je débute Linux !
(Ubuntu 16.04.5 LTS)

"L'ouverture d'esprit n'a jamais fait de fracture au crâne"

Hors ligne

#9 Le 12/02/2019, à 19:28

xubu1957

Re : [Résolu] Installation R version 3.5 sur ubuntu 16.04.5

Montre le sources.list :

find /etc/apt -type f -name '*.list*' -exec bash -c 'echo -e "\n$1\n"; [[ $1 = *".list" ]] && nl -ba "$1"' _ '{}' \;

Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 18.04.1 LTS - Lenovo T410 -Toshiba Satellite A300  Membre de Linux-Azur

Hors ligne

#10 Le 12/02/2019, à 19:29

Skyroots

Re : [Résolu] Installation R version 3.5 sur ubuntu 16.04.5

find /etc/apt -type f -name '*.list*' -exec bash -c 'echo -e "\n$1\n"; [[ $1 = *".list" ]] && nl -ba "$1"' _ '{}' \;

/etc/apt/sources.list.d/marutter-ubuntu-c2d4u3_5-xenial.list

     1	deb http://ppa.launchpad.net/marutter/c2d4u3.5/ubuntu xenial main
     2	# deb-src http://ppa.launchpad.net/marutter/c2d4u3.5/ubuntu xenial main

/etc/apt/sources.list.d/marutter-ubuntu-c2d4u3_5-xenial.list.save


/etc/apt/sources.list.d/marutter-ubuntu-rrutter-xenial.list

     1	deb http://ppa.launchpad.net/marutter/rrutter/ubuntu xenial main
     2	# deb-src http://ppa.launchpad.net/marutter/rrutter/ubuntu xenial main

/etc/apt/sources.list.d/graphics-drivers-ubuntu-ppa-xenial.list.save


/etc/apt/sources.list.d/stvs-ubuntu-tomate-xenial.list.save


/etc/apt/sources.list.d/caffeine-developers-ubuntu-ppa-xenial.list.save


/etc/apt/sources.list.d/smathot-ubuntu-cogscinl-xenial.list

     1	deb http://ppa.launchpad.net/smathot/cogscinl/ubuntu xenial main
     2	# deb-src http://ppa.launchpad.net/smathot/cogscinl/ubuntu xenial main

/etc/apt/sources.list.d/marutter-ubuntu-rrutter-xenial.list.save


/etc/apt/sources.list.d/marutter-ubuntu-rrutter3_5-xenial.list

     1	deb http://ppa.launchpad.net/marutter/rrutter3.5/ubuntu xenial main
     2	# deb-src http://ppa.launchpad.net/marutter/rrutter3.5/ubuntu xenial main

/etc/apt/sources.list.d/smathot-ubuntu-cogscinl-xenial.list.save


/etc/apt/sources.list.d/graphics-drivers-ubuntu-ppa-xenial.list

     1	deb http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu xenial main
     2	# deb-src http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu xenial main

/etc/apt/sources.list.d/webupd8team-ubuntu-java-xenial.list.save


/etc/apt/sources.list.d/stvs-ubuntu-tomate-xenial.list

     1	deb http://ppa.launchpad.net/stvs/tomate/ubuntu xenial main
     2	# deb-src http://ppa.launchpad.net/stvs/tomate/ubuntu xenial main

/etc/apt/sources.list.d/xorg-edgers-ubuntu-ppa-xenial.list

     1	deb http://ppa.launchpad.net/xorg-edgers/ppa/ubuntu xenial main
     2	# deb-src http://ppa.launchpad.net/xorg-edgers/ppa/ubuntu xenial main

/etc/apt/sources.list.d/xorg-edgers-ubuntu-ppa-xenial.list.save


/etc/apt/sources.list.d/caffeine-developers-ubuntu-ppa-xenial.list

     1	deb http://ppa.launchpad.net/caffeine-developers/ppa/ubuntu xenial main
     2	# deb-src http://ppa.launchpad.net/caffeine-developers/ppa/ubuntu xenial main

/etc/apt/sources.list.d/webupd8team-ubuntu-java-xenial.list

     1	deb http://ppa.launchpad.net/webupd8team/java/ubuntu xenial main
     2	# deb-src http://ppa.launchpad.net/webupd8team/java/ubuntu xenial main

/etc/apt/sources.list

     1	
     2	deb http://boisson.homeip.net/ubuntu gutsy lineo
     3	
     4	# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
     5	# newer versions of the distribution.
     6	
     7	## Major bug fix updates produced after the final release of the
     8	## distribution.
     9	
    10	## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
    11	## team. Also, please note that software in universe WILL NOT receive any
    12	## review or updates from the Ubuntu security team.
    13	
    14	## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu 
    15	## team, and may not be under a free licence. Please satisfy yourself as to 
    16	## your rights to use the software. Also, please note that software in 
    17	## multiverse WILL NOT receive any review or updates from the Ubuntu
    18	## security team.
    19	
    20	## N.B. software from this repository may not have been tested as
    21	## extensively as that contained in the main release, although it includes
    22	## newer versions of some applications which may provide useful features.
    23	## Also, please note that software in backports WILL NOT receive any review
    24	## or updates from the Ubuntu security team.
    25	
    26	## Uncomment the following two lines to add software from Canonical's
    27	## 'partner' repository.
    28	## This software is not part of Ubuntu, but is offered by Canonical and the
    29	## respective vendors as a service to Ubuntu users.
    30	
    31	deb https://cloud.r-project.org/bin/linux/ubuntu bionic-cran35/
    32	# deb-src https://cloud.r-project.org/bin/linux/ubuntu bionic-cran35/

/etc/apt/sources.list.save

Je débute Linux !
(Ubuntu 16.04.5 LTS)

"L'ouverture d'esprit n'a jamais fait de fracture au crâne"

Hors ligne

#11 Le 12/02/2019, à 19:31

xubu1957

Re : [Résolu] Installation R version 3.5 sur ubuntu 16.04.5

Attends les avis de contributeurs de meilleur niveau que ton serviteur.


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 18.04.1 LTS - Lenovo T410 -Toshiba Satellite A300  Membre de Linux-Azur

Hors ligne

#12 Le 12/02/2019, à 19:34

Skyroots

Re : [Résolu] Installation R version 3.5 sur ubuntu 16.04.5

ok wink big_smile


Je débute Linux !
(Ubuntu 16.04.5 LTS)

"L'ouverture d'esprit n'a jamais fait de fracture au crâne"

Hors ligne

#13 Le 12/02/2019, à 19:38

cqfd93

Re : [Résolu] Installation R version 3.5 sur ubuntu 16.04.5

Bonjour,

Ces sources sont invraisemblables !!!

Donne les retours complets (tes précédents retours ne sont pas complets) :

cat /etc/issue
uname -a
echo "${XDG_CURRENT_DESKTOP}"

Un retour complet doit contenir toutes les lignes depuis celle de la commande jusqu'à la ligne attendant la commande suivante, exemple :

moi@lenovo:~$ uname -a
Linux moi-lenovo 4.4.0-97-generic #120-Ubuntu SMP Tue Sep 19 17:28:18 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
moi@lenovo:~$

cqfd93

Hors ligne

#14 Le 12/02/2019, à 19:44

Skyroots

Re : [Résolu] Installation R version 3.5 sur ubuntu 16.04.5

Bonjour,

Merci pour votre message, voici les retours:

moi@xmglaptop:~$ cat /etc/issue
Ubuntu 16.04.5 LTS \n \l

moi@xmglaptop:~$ uname -a
Linux xmglaptop 4.15.0-45-generic #48~16.04.1-Ubuntu SMP Tue Jan 29 18:03:48 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

moi@xmglaptop:~$ echo "${XDG_CURRENT_DESKTOP}"
Unity

moi@xmglaptop:~$ 

Dernière modification par Skyroots (Le 12/02/2019, à 19:46)


Je débute Linux !
(Ubuntu 16.04.5 LTS)

"L'ouverture d'esprit n'a jamais fait de fracture au crâne"

Hors ligne

#15 Le 12/02/2019, à 19:50

cqfd93

Re : [Résolu] Installation R version 3.5 sur ubuntu 16.04.5

Ton retour n'est pas tout à fait complet (il manque la dernière ligne).

Puisque tu es sous xenial, on va reconstruire le sources.list qui va bien. Exécute ces commandes pour télécharger et installer les fichiers (donne les retours) :

curl https://repogen.simplylinux.ch/txt/xenial/sources_3cc214d9a38a3ada7f56067544e31267f2b89f97.txt | sudo tee /etc/apt/sources.list
curl https://repogen.simplylinux.ch/txt/xenial/gpg_3cc214d9a38a3ada7f56067544e31267f2b89f97.txt | sudo tee /etc/apt/gpg_keys.txt

Et fais les mises à jour (avec retours) - ça risque d'être long !

sudo apt update
sudo apt full-upgrade

cqfd93

Hors ligne

#16 Le 12/02/2019, à 19:59

Skyroots

Re : [Résolu] Installation R version 3.5 sur ubuntu 16.04.5

merci encore, voici:

moi@xmglaptop:~$ curl https://repogen.simplylinux.ch/txt/xenial/sources_3cc214d9a38a3ada7f56067544e31267f2b89f97.txt | sudo tee /etc/apt/sources.list
[sudo] Mot de passe de moi :   % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100   749  100   749    0     0   1813      0 --:--:-- --:--:-- --:--:--  1813

#------------------------------------------------------------------------------#
#                            OFFICIAL UBUNTU REPOS                             #
#------------------------------------------------------------------------------#


###### Ubuntu Main Repos
deb http://fr.archive.ubuntu.com/ubuntu/ xenial main restricted universe multiverse 

###### Ubuntu Update Repos
deb http://fr.archive.ubuntu.com/ubuntu/ xenial-security main restricted universe multiverse 
deb http://fr.archive.ubuntu.com/ubuntu/ xenial-updates main restricted universe multiverse 
deb http://fr.archive.ubuntu.com/ubuntu/ xenial-backports main restricted universe multiverse 

###### Ubuntu Partner Repo
deb http://archive.canonical.com/ubuntu xenial partner

moi@xmglaptop:~$ 
moi@xmglaptop:~$ curl https://repogen.simplylinux.ch/txt/xenial/gpg_3cc214d9a38a3ada7f56067544e31267f2b89f97.txt | sudo tee /etc/apt/gpg_keys.txt
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
moi@xmglaptop:~$ 
moi@xmglaptop:~$ sudo apt update
Atteint:1 http://fr.archive.ubuntu.com/ubuntu xenial InRelease
Réception de:2 http://fr.archive.ubuntu.com/ubuntu xenial-security InRelease [109 kB]                                                               
Réception de:3 http://ppa.launchpad.net/caffeine-developers/ppa/ubuntu xenial InRelease [17,5 kB]                                                   
Réception de:4 http://fr.archive.ubuntu.com/ubuntu xenial-updates InRelease [109 kB]                                                               
Atteint:5 http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu xenial InRelease                                                               
Réception de:6 http://archive.canonical.com/ubuntu xenial InRelease [11,5 kB]                                                                  
Atteint:7 http://ppa.launchpad.net/marutter/c2d4u3.5/ubuntu xenial InRelease                                                                   
Réception de:8 http://fr.archive.ubuntu.com/ubuntu xenial-backports InRelease [107 kB]                       
Atteint:9 http://ppa.launchpad.net/marutter/rrutter/ubuntu xenial InRelease                      
Err:3 http://ppa.launchpad.net/caffeine-developers/ppa/ubuntu xenial InRelease                                
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 0F678A01569113AE
Atteint:10 http://ppa.launchpad.net/marutter/rrutter3.5/ubuntu xenial InRelease                               
Atteint:11 http://ppa.launchpad.net/smathot/cogscinl/ubuntu xenial InRelease                                  
Réception de:12 http://fr.archive.ubuntu.com/ubuntu xenial-security/main amd64 Packages [614 kB]              
Ign:13 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial InRelease                                          
Atteint:14 http://ppa.launchpad.net/webupd8team/java/ubuntu xenial InRelease                                 
Réception de:15 http://archive.canonical.com/ubuntu xenial/partner amd64 Packages [3 128 B]                                                   
Atteint:16 http://ppa.launchpad.net/xorg-edgers/ppa/ubuntu xenial InRelease                                                                             
Réception de:17 http://fr.archive.ubuntu.com/ubuntu xenial-security/main i386 Packages [517 kB]                                 
Err:18 http://ppa.launchpad.net/stvs/tomate/ubuntu xenial Release                                                                                                     
  404  Not Found
Réception de:19 http://archive.canonical.com/ubuntu xenial/partner i386 Packages [3 120 B]                                                                
Réception de:20 http://archive.canonical.com/ubuntu xenial/partner Translation-en [1 616 B]                            
Réception de:21 http://fr.archive.ubuntu.com/ubuntu xenial-security/main Translation-en [254 kB]                           
Réception de:22 http://fr.archive.ubuntu.com/ubuntu xenial-security/main amd64 DEP-11 Metadata [67,8 kB]
Réception de:23 http://fr.archive.ubuntu.com/ubuntu xenial-security/main DEP-11 64x64 Icons [71,7 kB] 
Réception de:24 http://fr.archive.ubuntu.com/ubuntu xenial-security/restricted amd64 Packages [7 204 B]
Réception de:25 http://fr.archive.ubuntu.com/ubuntu xenial-security/restricted i386 Packages [7 224 B]
Réception de:26 http://fr.archive.ubuntu.com/ubuntu xenial-security/restricted Translation-en [2 152 B]
Réception de:27 http://fr.archive.ubuntu.com/ubuntu xenial-security/restricted amd64 DEP-11 Metadata [200 B]
Réception de:28 http://fr.archive.ubuntu.com/ubuntu xenial-security/universe amd64 Packages [424 kB]
Réception de:29 http://fr.archive.ubuntu.com/ubuntu xenial-security/universe i386 Packages [369 kB]
Réception de:30 http://fr.archive.ubuntu.com/ubuntu xenial-security/universe Translation-en [169 kB]
Réception de:31 http://fr.archive.ubuntu.com/ubuntu xenial-security/universe amd64 DEP-11 Metadata [116 kB]
Réception de:32 http://fr.archive.ubuntu.com/ubuntu xenial-security/universe DEP-11 64x64 Icons [173 kB]
Réception de:33 http://fr.archive.ubuntu.com/ubuntu xenial-security/multiverse amd64 Packages [5 600 B]
Réception de:34 http://fr.archive.ubuntu.com/ubuntu xenial-security/multiverse i386 Packages [5 760 B]
Réception de:35 http://fr.archive.ubuntu.com/ubuntu xenial-security/multiverse Translation-en [2 676 B]
Réception de:36 http://fr.archive.ubuntu.com/ubuntu xenial-security/multiverse amd64 DEP-11 Metadata [2 464 B]
Réception de:37 http://fr.archive.ubuntu.com/ubuntu xenial-security/multiverse DEP-11 64x64 Icons [2 638 B]
Réception de:38 http://fr.archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages [912 kB]
Réception de:39 http://fr.archive.ubuntu.com/ubuntu xenial-updates/main i386 Packages [800 kB]
Réception de:40 http://fr.archive.ubuntu.com/ubuntu xenial-updates/main amd64 DEP-11 Metadata [318 kB]
Réception de:41 http://fr.archive.ubuntu.com/ubuntu xenial-updates/main DEP-11 64x64 Icons [227 kB]
Réception de:42 http://fr.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 Packages [727 kB]
Réception de:43 http://fr.archive.ubuntu.com/ubuntu xenial-updates/universe i386 Packages [666 kB]
Réception de:44 http://fr.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 DEP-11 Metadata [252 kB]
Réception de:45 http://fr.archive.ubuntu.com/ubuntu xenial-updates/universe DEP-11 64x64 Icons [350 kB]
Réception de:46 http://fr.archive.ubuntu.com/ubuntu xenial-updates/multiverse amd64 DEP-11 Metadata [5 964 B]
Réception de:47 http://fr.archive.ubuntu.com/ubuntu xenial-updates/multiverse DEP-11 64x64 Icons [14,3 kB]
Réception de:48 http://fr.archive.ubuntu.com/ubuntu xenial-backports/main amd64 DEP-11 Metadata [3 328 B]
Réception de:49 http://fr.archive.ubuntu.com/ubuntu xenial-backports/universe amd64 DEP-11 Metadata [5 104 B]
Lecture des listes de paquets... Fait                                  
W: Erreur de GPG : http://ppa.launchpad.net/caffeine-developers/ppa/ubuntu xenial InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 0F678A01569113AE
E: Le dépôt http://ppa.launchpad.net/caffeine-developers/ppa/ubuntu xenial InRelease n'est pas signé.
N: Les mises à jour depuis un tel dépôt ne peuvent s'effectuer de manière sécurisée, et sont donc désactivées par défaut
N: Voir les pages de manuel d'apt-secure(8) pour la création des dépôts et les détails de configuration d'un utilisateur.
E: Le dépôt http://ppa.launchpad.net/stvs/tomate/ubuntu xenial Release n'a pas de fichier Release.
N: Les mises à jour depuis un tel dépôt ne peuvent s'effectuer de manière sécurisée, et sont donc désactivées par défaut
N: Voir les pages de manuel d'apt-secure(8) pour la création des dépôts et les détails de configuration d'un utilisateur.
moi@xmglaptop:~$ 
moi@xmglaptop:~$ sudo apt full-upgrade
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
Les paquets suivants seront mis à jour :
  libpoppler-glib8 libpoppler-qt5-1 libpoppler58 php7.0-cli php7.0-common php7.0-json php7.0-opcache php7.0-readline poppler-utils snapd ubuntu-core-launcher
11 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 17,2 Mo dans les archives.
Après cette opération, 37,9 ko d'espace disque seront libérés.
Souhaitez-vous continuer ? [O/n] o
Réception de:1 http://fr.archive.ubuntu.com/ubuntu xenial-security/main amd64 ubuntu-core-launcher amd64 2.34.2ubuntu0.1 [1 570 B]
Réception de:2 http://fr.archive.ubuntu.com/ubuntu xenial-security/main amd64 snapd amd64 2.34.2ubuntu0.1 [13,9 MB]
Réception de:3 http://fr.archive.ubuntu.com/ubuntu xenial-security/main amd64 libpoppler58 amd64 0.41.0-0ubuntu1.12 [757 kB]                                                                               
Réception de:4 http://fr.archive.ubuntu.com/ubuntu xenial-security/main amd64 libpoppler-glib8 amd64 0.41.0-0ubuntu1.12 [104 kB]                                                                           
Réception de:5 http://fr.archive.ubuntu.com/ubuntu xenial-security/main amd64 libpoppler-qt5-1 amd64 0.41.0-0ubuntu1.12 [118 kB]                                                                           
Réception de:6 http://fr.archive.ubuntu.com/ubuntu xenial-security/main amd64 php7.0-readline amd64 7.0.33-0ubuntu0.16.04.1 [12,8 kB]                                                                      
Réception de:7 http://fr.archive.ubuntu.com/ubuntu xenial-security/main amd64 php7.0-json amd64 7.0.33-0ubuntu0.16.04.1 [16,9 kB]                                                                          
Réception de:8 http://fr.archive.ubuntu.com/ubuntu xenial-security/main amd64 php7.0-opcache amd64 7.0.33-0ubuntu0.16.04.1 [77,3 kB]                                                                       
Réception de:9 http://fr.archive.ubuntu.com/ubuntu xenial-security/main amd64 php7.0-cli amd64 7.0.33-0ubuntu0.16.04.1 [1 282 kB]                                                                          
Réception de:10 http://fr.archive.ubuntu.com/ubuntu xenial-security/main amd64 php7.0-common amd64 7.0.33-0ubuntu0.16.04.1 [844 kB]                                                                        
Réception de:11 http://fr.archive.ubuntu.com/ubuntu xenial-security/main amd64 poppler-utils amd64 0.41.0-0ubuntu1.12 [131 kB]                                                                             
17,2 Mo réceptionnés en 7s (2 204 ko/s)                                                                                                                                                                    
(Lecture de la base de données... 347225 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../ubuntu-core-launcher_2.34.2ubuntu0.1_amd64.deb ...
Dépaquetage de ubuntu-core-launcher (2.34.2ubuntu0.1) sur (2.34.2) ...
Préparation du dépaquetage de .../snapd_2.34.2ubuntu0.1_amd64.deb ...
Dépaquetage de snapd (2.34.2ubuntu0.1) sur (2.34.2) ...
Préparation du dépaquetage de .../libpoppler58_0.41.0-0ubuntu1.12_amd64.deb ...
Dépaquetage de libpoppler58:amd64 (0.41.0-0ubuntu1.12) sur (0.41.0-0ubuntu1.11) ...
Préparation du dépaquetage de .../libpoppler-glib8_0.41.0-0ubuntu1.12_amd64.deb ...
Dépaquetage de libpoppler-glib8:amd64 (0.41.0-0ubuntu1.12) sur (0.41.0-0ubuntu1.11) ...
Préparation du dépaquetage de .../libpoppler-qt5-1_0.41.0-0ubuntu1.12_amd64.deb ...
Dépaquetage de libpoppler-qt5-1:amd64 (0.41.0-0ubuntu1.12) sur (0.41.0-0ubuntu1.11) ...
Préparation du dépaquetage de .../php7.0-readline_7.0.33-0ubuntu0.16.04.1_amd64.deb ...
Dépaquetage de php7.0-readline (7.0.33-0ubuntu0.16.04.1) sur (7.0.32-0ubuntu0.16.04.1) ...
Préparation du dépaquetage de .../php7.0-json_7.0.33-0ubuntu0.16.04.1_amd64.deb ...
Dépaquetage de php7.0-json (7.0.33-0ubuntu0.16.04.1) sur (7.0.32-0ubuntu0.16.04.1) ...
Préparation du dépaquetage de .../php7.0-opcache_7.0.33-0ubuntu0.16.04.1_amd64.deb ...
Dépaquetage de php7.0-opcache (7.0.33-0ubuntu0.16.04.1) sur (7.0.32-0ubuntu0.16.04.1) ...
Préparation du dépaquetage de .../php7.0-cli_7.0.33-0ubuntu0.16.04.1_amd64.deb ...
Dépaquetage de php7.0-cli (7.0.33-0ubuntu0.16.04.1) sur (7.0.32-0ubuntu0.16.04.1) ...
Préparation du dépaquetage de .../php7.0-common_7.0.33-0ubuntu0.16.04.1_amd64.deb ...
Dépaquetage de php7.0-common (7.0.33-0ubuntu0.16.04.1) sur (7.0.32-0ubuntu0.16.04.1) ...
Préparation du dépaquetage de .../poppler-utils_0.41.0-0ubuntu1.12_amd64.deb ...
Dépaquetage de poppler-utils (0.41.0-0ubuntu1.12) sur (0.41.0-0ubuntu1.11) ...
Traitement des actions différées (« triggers ») pour man-db (2.7.5-1) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.23-0ubuntu10) ...
Paramétrage de snapd (2.34.2ubuntu0.1) ...
snapd.snap-repair.service is a disabled or a static unit, not starting it.
Paramétrage de ubuntu-core-launcher (2.34.2ubuntu0.1) ...
Paramétrage de libpoppler58:amd64 (0.41.0-0ubuntu1.12) ...
Paramétrage de libpoppler-glib8:amd64 (0.41.0-0ubuntu1.12) ...
Paramétrage de libpoppler-qt5-1:amd64 (0.41.0-0ubuntu1.12) ...
Paramétrage de php7.0-common (7.0.33-0ubuntu0.16.04.1) ...
Paramétrage de php7.0-readline (7.0.33-0ubuntu0.16.04.1) ...
Paramétrage de php7.0-json (7.0.33-0ubuntu0.16.04.1) ...
Paramétrage de php7.0-opcache (7.0.33-0ubuntu0.16.04.1) ...
Paramétrage de php7.0-cli (7.0.33-0ubuntu0.16.04.1) ...
Paramétrage de poppler-utils (0.41.0-0ubuntu1.12) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.23-0ubuntu10) ...
moi@xmglaptop:~$ 

Je débute Linux !
(Ubuntu 16.04.5 LTS)

"L'ouverture d'esprit n'a jamais fait de fracture au crâne"

Hors ligne

#17 Le 12/02/2019, à 20:10

cqfd93

Re : [Résolu] Installation R version 3.5 sur ubuntu 16.04.5

Deux problèmes à régler :

  • une clé publique à récupérer

    sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 0F678A01569113AE
  • un dépôt à supprimer (il n'a pas de version xenial)

    sudo rm -v /etc/apt/sources.list.d/stvs-ubuntu-tomate*

Après ça, les mises à jour devraient être OK :

sudo apt update
sudo apt full-upgrade

cqfd93

Hors ligne

#18 Le 12/02/2019, à 20:16

Skyroots

Re : [Résolu] Installation R version 3.5 sur ubuntu 16.04.5

merci, :

moi@xmglaptop:~$ sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 0F678A01569113AE
[sudo] Mot de passe de moi : 
Executing: /tmp/tmp.Yt7ylB8nCi/gpg.1.sh --keyserver
keyserver.ubuntu.com
--recv-keys
0F678A01569113AE
gpg: demande de la clef 569113AE sur le serveur hkp keyserver.ubuntu.com
gpg: clef 569113AE : clef publique « Launchpad Caffeine » importée
gpg: Quantité totale traitée : 1
gpg:               importées : 1  (RSA: 1)
moi@xmglaptop:~$ 
moi@xmglaptop:~$ sudo rm -v /etc/apt/sources.list.d/stvs-ubuntu-tomate*
'/etc/apt/sources.list.d/stvs-ubuntu-tomate-xenial.list' supprimé
'/etc/apt/sources.list.d/stvs-ubuntu-tomate-xenial.list.save' supprimé
moi@xmglaptop:~$ 
moi@xmglaptop:~$ sudo apt update
Atteint:1 http://fr.archive.ubuntu.com/ubuntu xenial InRelease
Atteint:2 http://fr.archive.ubuntu.com/ubuntu xenial-security InRelease                                                                             
Atteint:4 http://fr.archive.ubuntu.com/ubuntu xenial-updates InRelease                                                                                            
Atteint:5 http://fr.archive.ubuntu.com/ubuntu xenial-backports InRelease                                                                                          
Atteint:6 http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu xenial InRelease                                                 
Atteint:7 http://ppa.launchpad.net/marutter/c2d4u3.5/ubuntu xenial InRelease                                  
Atteint:8 http://archive.canonical.com/ubuntu xenial InRelease                                                
Atteint:9 http://ppa.launchpad.net/marutter/rrutter/ubuntu xenial InRelease                                   
Atteint:10 http://ppa.launchpad.net/marutter/rrutter3.5/ubuntu xenial InRelease
Atteint:11 http://ppa.launchpad.net/smathot/cogscinl/ubuntu xenial InRelease
Atteint:12 http://ppa.launchpad.net/webupd8team/java/ubuntu xenial InRelease 
Atteint:13 http://ppa.launchpad.net/xorg-edgers/ppa/ubuntu xenial InRelease  
Réception de:3 http://ppa.launchpad.net/caffeine-developers/ppa/ubuntu xenial InRelease [17,5 kB]
17,5 ko réceptionnés en 1s (14,3 ko/s)                                       
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Tous les paquets sont à jour.
moi@xmglaptop:~$ 
moi@xmglaptop:~$ sudo apt full-upgrade
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
moi@xmglaptop:~$ 

Je débute Linux !
(Ubuntu 16.04.5 LTS)

"L'ouverture d'esprit n'a jamais fait de fracture au crâne"

Hors ligne

#19 Le 12/02/2019, à 21:05

cqfd93

Re : [Résolu] Installation R version 3.5 sur ubuntu 16.04.5

Bon, voilà, tes sources sont propres et ton système est à jour. Tu peux maintenant essayer d'installer R.

Sur cette page https://rtask.thinkr.fr/blog/installati … -packages/, dans la section « Install new version of R (3.5) » « Set new Ubuntu repositories for R 3.5 », on y donne les commandes pour installer le dépôt pour Ubuntu 18.04 (bionic) mais on peut adapter pour xenial, donc pour toi il faudra faire :

sudo add-apt-repository 'deb https://cloud.r-project.org/bin/linux/ubuntu xenial-cran35/'
sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys E084DAB9
sudo apt update
sudo apt install r-base r-base-core r-recommended

cqfd93

Hors ligne

#20 Le 12/02/2019, à 21:14

xubu1957

Re : [Résolu] Installation R version 3.5 sur ubuntu 16.04.5

Et pour la tomate fraîche ?

> github.com/eliostvs/tomate-gtk


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 18.04.1 LTS - Lenovo T410 -Toshiba Satellite A300  Membre de Linux-Azur

Hors ligne

#21 Le 12/02/2019, à 21:22

cqfd93

Re : [Résolu] Installation R version 3.5 sur ubuntu 16.04.5

xubu1957 a écrit :

Et pour la tomate fraîche ?

> github.com/eliostvs/tomate-gtk

Et plus précisément : https://github.com/eliostvs/tomate-gtk#ubuntu-1604


cqfd93

Hors ligne

#22 Le 12/02/2019, à 21:26

xubu1957

Re : [Résolu] Installation R version 3.5 sur ubuntu 16.04.5

@cqfd93

Comment fais-tu pour pointer sur le bon paragraphe ?

Tu crois qu'il faut aussi demander la liste des noyaux ?

_ _ _

Le 12/11/2017, dans le boot-info :

sda6: Location of files loaded by Grub: ====================

           GiB - GB             File                                 Fragment(s)

 804.759403229 = 864.103829504  boot/grub/grub.cfg                             2
 759.887157440 = 815.922622464  boot/vmlinuz-4.13.0-16-generic                 1
 804.754508972 = 864.098574336  boot/vmlinuz-4.13.0-16-generic.efi.signed      1
 759.887157440 = 815.922622464  vmlinuz                                        1
 825.231441498 = 886.085513216  boot/initrd.img-4.13.0-16-generic              2
 825.231441498 = 886.085513216  initrd.img                                     2

> impossible de booter avec ubuntu, windows10 se lance toujours

_ _ _

La commande :

RELEASE=`sed -n 's/VERSION_ID="\(.*\)"/\1/p' /etc/os-release`

ne ferait-elle maintenant, pas double emploi, avec la tienne :

sudo rm -v /etc/apt/sources.list.d/stvs-ubuntu-tomate*

?

Dernière modification par xubu1957 (Le 12/02/2019, à 21:39)


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 18.04.1 LTS - Lenovo T410 -Toshiba Satellite A300  Membre de Linux-Azur

Hors ligne

#23 Le 12/02/2019, à 21:46

cqfd93

Re : [Résolu] Installation R version 3.5 sur ubuntu 16.04.5

xubu1957 a écrit :

@cqfd93

Comment fais-tu pour pointer sur le bon paragraphe ?

Si tu passes la souris à gauche du titre, tu vois un lien symbolisé par 2 anneaux entrelacés.

Tu crois qu'il faut aussi demander la liste des noyaux ?

Non, ça me semble inutile. En fait, oui, ça clarifiera peut-être la bizarrerie de ce qui suit…

Il avait une 17.10 et maintenant une 16.04 ???

Alors pour les noyaux :

echo; dpkg -l | grep -Ei "linux-(g|h|i|lo|mo|si|t)" | grep -v ^rc | sort -k3 | awk '{print $1,$2,$3,$4}' | column -s" " -t ; echo ; uname -mr ; echo
sudo du -am -d1 /boot 2>/dev/null | sort -nr | head -20 ; echo

cqfd93

Hors ligne

#24 Le 12/02/2019, à 21:53

xubu1957

Re : [Résolu] Installation R version 3.5 sur ubuntu 16.04.5

Merci pour l'astuce !

Tu as fais un beau nettoyage et une remise en état. smile

J'espère qu'il n'y aura pas des noyaux de la gutsy !


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 18.04.1 LTS - Lenovo T410 -Toshiba Satellite A300  Membre de Linux-Azur

Hors ligne

#25 Le 13/02/2019, à 00:00

Skyroots

Re : [Résolu] Installation R version 3.5 sur ubuntu 16.04.5

Merci pour tout, vous êtes impressionnant.

moi@xmglaptop:~$ sudo add-apt-repository 'deb https://cloud.r-project.org/bin/linux/ubuntu xenial-cran35/'
[sudo] Mot de passe de moi : 
moi@xmglaptop:~$ sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys E084DAB9
Executing: /tmp/tmp.fo9zOtZ1Ai/gpg.1.sh --keyserver
keyserver.ubuntu.com
--recv-keys
E084DAB9
gpg: demande de la clef E084DAB9 sur le serveur hkp keyserver.ubuntu.com
gpg: clef E084DAB9 : « Totally Legit Signing Key <mallory@example.org> » n'est pas modifiée
gpg: clef E084DAB9 : « Michael Rutter <marutter@gmail.com> » n'est pas modifiée
gpg: Quantité totale traitée : 2
gpg:              non modifiées : 2


moi@xmglaptop:~$ sudo apt update
Atteint:1 http://fr.archive.ubuntu.com/ubuntu xenial InRelease
Atteint:2 http://fr.archive.ubuntu.com/ubuntu xenial-security InRelease                                                           
Atteint:3 http://archive.canonical.com/ubuntu xenial InRelease                                                                    
Atteint:4 http://ppa.launchpad.net/caffeine-developers/ppa/ubuntu xenial InRelease              
Atteint:5 http://fr.archive.ubuntu.com/ubuntu xenial-updates InRelease                                        
Atteint:6 http://fr.archive.ubuntu.com/ubuntu xenial-backports InRelease                                      
Atteint:7 http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu xenial InRelease
Atteint:8 http://ppa.launchpad.net/marutter/c2d4u3.5/ubuntu xenial InRelease
Réception de:9 https://cloud.r-project.org/bin/linux/ubuntu xenial-cran35/ InRelease [3 608 B]
Atteint:10 http://ppa.launchpad.net/marutter/rrutter/ubuntu xenial InRelease                                    
Atteint:11 http://ppa.launchpad.net/marutter/rrutter3.5/ubuntu xenial InRelease
Atteint:12 http://ppa.launchpad.net/smathot/cogscinl/ubuntu xenial InRelease
Atteint:13 http://ppa.launchpad.net/webupd8team/java/ubuntu xenial InRelease 
Atteint:14 http://ppa.launchpad.net/xorg-edgers/ppa/ubuntu xenial InRelease
Réception de:15 https://cloud.r-project.org/bin/linux/ubuntu xenial-cran35/ Packages [38,3 kB]
41,9 ko réceptionnés en 0s (51,4 ko/s)                     
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Tous les paquets sont à jour.


moi@xmglaptop:~$ sudo apt install r-base r-base-core r-recommended
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
r-base-core est déjà la version la plus récente (3.5.2-1xenial).
Les paquets supplémentaires suivants seront installés :
  r-base-html r-cran-boot r-cran-class r-cran-cluster r-cran-codetools r-cran-foreign r-cran-kernsmooth r-cran-lattice r-cran-mass r-cran-matrix r-cran-mgcv r-cran-nlme r-cran-nnet r-cran-rpart
  r-cran-spatial r-cran-survival
Paquets suggérés :
  ess r-doc-info | r-doc-pdf
Les NOUVEAUX paquets suivants seront installés :
  r-base r-base-html r-cran-boot r-cran-class r-cran-cluster r-cran-codetools r-cran-foreign r-cran-kernsmooth r-cran-lattice r-cran-mass r-cran-matrix r-cran-mgcv r-cran-nlme r-cran-nnet r-cran-rpart
  r-cran-spatial r-cran-survival r-recommended
0 mis à jour, 18 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 18,0 Mo dans les archives.
Après cette opération, 24,6 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
Réception de:1 http://ppa.launchpad.net/marutter/c2d4u3.5/ubuntu xenial/main amd64 r-cran-boot all 1.3-20-3cran1ppa0xenial0 [616 kB]
Réception de:2 https://cloud.r-project.org/bin/linux/ubuntu xenial-cran35/ r-cran-cluster 2.0.7-1-1xenial0 [515 kB]
Réception de:3 http://ppa.launchpad.net/marutter/c2d4u3.5/ubuntu xenial/main amd64 r-cran-rpart amd64 4.1-13-3cran1ppa0xenial0 [887 kB]
Réception de:4 https://cloud.r-project.org/bin/linux/ubuntu xenial-cran35/ r-cran-foreign 0.8.71-1xenial0 [231 kB]
Réception de:5 https://cloud.r-project.org/bin/linux/ubuntu xenial-cran35/ r-cran-mass 7.3-51.1-1xenial0 [1 106 kB]
Réception de:6 http://ppa.launchpad.net/marutter/c2d4u3.5/ubuntu xenial/main amd64 r-cran-nnet amd64 7.3-12-3cran1ppa0xenial1 [109 kB]
Réception de:7 https://cloud.r-project.org/bin/linux/ubuntu xenial-cran35/ r-cran-kernsmooth 2.23-15-3xenial0 [90,5 kB]
Réception de:8 https://cloud.r-project.org/bin/linux/ubuntu xenial-cran35/ r-cran-lattice 0.20-38-1cran1xenial0 [1 131 kB]
Réception de:9 https://cloud.r-project.org/bin/linux/ubuntu xenial-cran35/ r-cran-nlme 3.1.137-1xenial0 [2 205 kB]
Réception de:10 https://cloud.r-project.org/bin/linux/ubuntu xenial-cran35/ r-cran-matrix 1.2-15-1xenial0 [3 365 kB]
Réception de:11 https://cloud.r-project.org/bin/linux/ubuntu xenial-cran35/ r-cran-mgcv 1.8-27-1cran1xenial0 [2 657 kB]
Réception de:12 https://cloud.r-project.org/bin/linux/ubuntu xenial-cran35/ r-cran-survival 2.43-3-1cran1xenial0 [4 631 kB]
Réception de:13 https://cloud.r-project.org/bin/linux/ubuntu xenial-cran35/ r-cran-class 7.3-15-1xenial0 [86,3 kB]                                                                                         
Réception de:14 https://cloud.r-project.org/bin/linux/ubuntu xenial-cran35/ r-cran-spatial 7.3-11-2xenial0 [127 kB]                                                                                        
Réception de:15 https://cloud.r-project.org/bin/linux/ubuntu xenial-cran35/ r-cran-codetools 0.2-16-1xenial0 [90,1 kB]                                                                                     
Réception de:16 https://cloud.r-project.org/bin/linux/ubuntu xenial-cran35/ r-recommended 3.5.2-1xenial [2 718 B]                                                                                          
Réception de:17 https://cloud.r-project.org/bin/linux/ubuntu xenial-cran35/ r-base 3.5.2-1xenial [41,9 kB]                                                                                                 
Réception de:18 https://cloud.r-project.org/bin/linux/ubuntu xenial-cran35/ r-base-html 3.5.2-1xenial [87,7 kB]                                                                                            
18,0 Mo réceptionnés en 6s (2 788 ko/s)                                                                                                                                                                    
Sélection du paquet r-cran-boot précédemment désélectionné.
(Lecture de la base de données... 347225 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../r-cran-boot_1.3-20-3cran1ppa0xenial0_all.deb ...
Dépaquetage de r-cran-boot (1.3-20-3cran1ppa0xenial0) ...
Sélection du paquet r-cran-cluster précédemment désélectionné.
Préparation du dépaquetage de .../r-cran-cluster_2.0.7-1-1xenial0_amd64.deb ...
Dépaquetage de r-cran-cluster (2.0.7-1-1xenial0) ...
Sélection du paquet r-cran-foreign précédemment désélectionné.
Préparation du dépaquetage de .../r-cran-foreign_0.8.71-1xenial0_amd64.deb ...
Dépaquetage de r-cran-foreign (0.8.71-1xenial0) ...
Sélection du paquet r-cran-mass précédemment désélectionné.
Préparation du dépaquetage de .../r-cran-mass_7.3-51.1-1xenial0_amd64.deb ...
Dépaquetage de r-cran-mass (7.3-51.1-1xenial0) ...
Sélection du paquet r-cran-kernsmooth précédemment désélectionné.
Préparation du dépaquetage de .../r-cran-kernsmooth_2.23-15-3xenial0_amd64.deb ...
Dépaquetage de r-cran-kernsmooth (2.23-15-3xenial0) ...
Sélection du paquet r-cran-lattice précédemment désélectionné.
Préparation du dépaquetage de .../r-cran-lattice_0.20-38-1cran1xenial0_amd64.deb ...
Dépaquetage de r-cran-lattice (0.20-38-1cran1xenial0) ...
Sélection du paquet r-cran-nlme précédemment désélectionné.
Préparation du dépaquetage de .../r-cran-nlme_3.1.137-1xenial0_amd64.deb ...
Dépaquetage de r-cran-nlme (3.1.137-1xenial0) ...
Sélection du paquet r-cran-matrix précédemment désélectionné.
Préparation du dépaquetage de .../r-cran-matrix_1.2-15-1xenial0_amd64.deb ...
Dépaquetage de r-cran-matrix (1.2-15-1xenial0) ...
Sélection du paquet r-cran-mgcv précédemment désélectionné.
Préparation du dépaquetage de .../r-cran-mgcv_1.8-27-1cran1xenial0_amd64.deb ...
Dépaquetage de r-cran-mgcv (1.8-27-1cran1xenial0) ...
Sélection du paquet r-cran-rpart précédemment désélectionné.
Préparation du dépaquetage de .../r-cran-rpart_4.1-13-3cran1ppa0xenial0_amd64.deb ...
Dépaquetage de r-cran-rpart (4.1-13-3cran1ppa0xenial0) ...
Sélection du paquet r-cran-survival précédemment désélectionné.
Préparation du dépaquetage de .../r-cran-survival_2.43-3-1cran1xenial0_amd64.deb ...
Dépaquetage de r-cran-survival (2.43-3-1cran1xenial0) ...
Sélection du paquet r-cran-class précédemment désélectionné.
Préparation du dépaquetage de .../r-cran-class_7.3-15-1xenial0_amd64.deb ...
Dépaquetage de r-cran-class (7.3-15-1xenial0) ...
Sélection du paquet r-cran-nnet précédemment désélectionné.
Préparation du dépaquetage de .../r-cran-nnet_7.3-12-3cran1ppa0xenial1_amd64.deb ...
Dépaquetage de r-cran-nnet (7.3-12-3cran1ppa0xenial1) ...
Sélection du paquet r-cran-spatial précédemment désélectionné.
Préparation du dépaquetage de .../r-cran-spatial_7.3-11-2xenial0_amd64.deb ...
Dépaquetage de r-cran-spatial (7.3-11-2xenial0) ...
Sélection du paquet r-cran-codetools précédemment désélectionné.
Préparation du dépaquetage de .../r-cran-codetools_0.2-16-1xenial0_all.deb ...
Dépaquetage de r-cran-codetools (0.2-16-1xenial0) ...
Sélection du paquet r-recommended précédemment désélectionné.
Préparation du dépaquetage de .../r-recommended_3.5.2-1xenial_all.deb ...
Dépaquetage de r-recommended (3.5.2-1xenial) ...
Sélection du paquet r-base précédemment désélectionné.
Préparation du dépaquetage de .../r-base_3.5.2-1xenial_all.deb ...
Dépaquetage de r-base (3.5.2-1xenial) ...
Sélection du paquet r-base-html précédemment désélectionné.
Préparation du dépaquetage de .../r-base-html_3.5.2-1xenial_all.deb ...
Dépaquetage de r-base-html (3.5.2-1xenial) ...
Paramétrage de r-cran-boot (1.3-20-3cran1ppa0xenial0) ...
Paramétrage de r-cran-cluster (2.0.7-1-1xenial0) ...
Paramétrage de r-cran-foreign (0.8.71-1xenial0) ...
Paramétrage de r-cran-mass (7.3-51.1-1xenial0) ...
Paramétrage de r-cran-kernsmooth (2.23-15-3xenial0) ...
Paramétrage de r-cran-lattice (0.20-38-1cran1xenial0) ...
Paramétrage de r-cran-nlme (3.1.137-1xenial0) ...
Paramétrage de r-cran-matrix (1.2-15-1xenial0) ...
Paramétrage de r-cran-mgcv (1.8-27-1cran1xenial0) ...
Paramétrage de r-cran-rpart (4.1-13-3cran1ppa0xenial0) ...
Paramétrage de r-cran-survival (2.43-3-1cran1xenial0) ...
Paramétrage de r-cran-class (7.3-15-1xenial0) ...
Paramétrage de r-cran-nnet (7.3-12-3cran1ppa0xenial1) ...
Paramétrage de r-cran-spatial (7.3-11-2xenial0) ...
Paramétrage de r-cran-codetools (0.2-16-1xenial0) ...
Paramétrage de r-recommended (3.5.2-1xenial) ...
Paramétrage de r-base (3.5.2-1xenial) ...
Paramétrage de r-base-html (3.5.2-1xenial) ...
moi@xmglaptop:~$ 

Alors j'ai essayé, pour ggplot2 ça a marché, je peux le charger correctement.
Mais pour un autre paquet nommé DESeq2 ça ne marche toujours pas:

> if (!requireNamespace("BiocManager", quietly = TRUE))
+     install.packages("BiocManager")
> BiocManager::install("DESeq2", version = "3.8")
Bioconductor version 3.8 (BiocManager 1.30.4), R 3.5.2 (2018-12-20)
Installing package(s) 'DESeq2'
also installing the dependencies ‘acepack’, ‘genefilter’, ‘Hmisc’, ‘RcppArmadillo’

essai de l'URL 'https://cloud.r-project.org/src/contrib/acepack_1.4.1.tar.gz'
Content type 'application/x-gzip' length 34848 bytes (34 KB)
==================================================
downloaded 34 KB

essai de l'URL 'https://bioconductor.org/packages/3.8/bioc/src/contrib/genefilter_1.64.0.tar.gz'
Content type 'application/x-gzip' length 1432889 bytes (1.4 MB)
==================================================
downloaded 1.4 MB

essai de l'URL 'https://cloud.r-project.org/src/contrib/Hmisc_4.2-0.tar.gz'
Content type 'application/x-gzip' length 732731 bytes (715 KB)
==================================================
downloaded 715 KB

essai de l'URL 'https://cloud.r-project.org/src/contrib/RcppArmadillo_0.9.200.7.0.tar.gz'
Content type 'application/x-gzip' length 1333647 bytes (1.3 MB)
==================================================
downloaded 1.3 MB

essai de l'URL 'https://bioconductor.org/packages/3.8/bioc/src/contrib/DESeq2_1.22.2.tar.gz'
Content type 'application/x-gzip' length 2062838 bytes (2.0 MB)
==================================================
downloaded 2.0 MB

* installing *source* package ‘acepack’ ...
** package ‘acepack’ correctement décompressé et sommes MD5 vérifiées
** libs
gfortran   -fpic  -g -O2 -fstack-protector-strong  -c ace.f -o ace.o
/bin/bash: gfortran : commande introuvable
/usr/lib/R/etc/Makeconf:185 : la recette pour la cible « ace.o » a échouée
make: *** [ace.o] Erreur 127
ERROR: compilation failed for package ‘acepack’
* removing ‘/home/moi/R/x86_64-pc-linux-gnu-library/3.5/acepack’
* installing *source* package ‘genefilter’ ...
** libs
g++  -I"/usr/share/R/include" -DNDEBUG      -fpic  -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -g  -c half_range_mode.cpp -o half_range_mode.o
gcc -std=gnu99 -I"/usr/share/R/include" -DNDEBUG      -fpic  -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -g  -c init.c -o init.o
gcc -std=gnu99 -I"/usr/share/R/include" -DNDEBUG      -fpic  -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -g  -c nd.c -o nd.o
gcc -std=gnu99 -I"/usr/share/R/include" -DNDEBUG      -fpic  -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -g  -c pAUC.c -o pAUC.o
gcc -std=gnu99 -I"/usr/share/R/include" -DNDEBUG      -fpic  -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -g  -c rowPAUCs.c -o rowPAUCs.o
gcc -std=gnu99 -I"/usr/share/R/include" -DNDEBUG      -fpic  -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -g  -c rowttests.c -o rowttests.o
gfortran   -fpic  -g -O2 -fstack-protector-strong  -c ttest.f -o ttest.o
/bin/bash: gfortran : commande introuvable
/usr/lib/R/etc/Makeconf:185 : la recette pour la cible « ttest.o » a échouée
make: *** [ttest.o] Erreur 127
ERROR: compilation failed for package ‘genefilter’
* removing ‘/home/moi/R/x86_64-pc-linux-gnu-library/3.5/genefilter’
* installing *source* package ‘RcppArmadillo’ ...
** package ‘RcppArmadillo’ correctement décompressé et sommes MD5 vérifiées
checking whether the C++ compiler works... yes
checking for C++ compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking how to run the C++ preprocessor... g++ -E
checking whether we are using the GNU C++ compiler... (cached) yes
checking whether g++ accepts -g... (cached) yes
checking whether g++ version is sufficient... yes, with OpenMP as version 5.4.0
checking for macOS... checking LAPACK_LIBS... system LAPACK found
checking for OpenMP... found and suitable
configure: creating ./config.status
config.status: creating inst/include/RcppArmadilloConfigGenerated.h
config.status: creating src/Makevars
** libs
g++ -std=gnu++11 -I"/usr/share/R/include" -DNDEBUG  -I"/home/moi/R/x86_64-pc-linux-gnu-library/3.5/Rcpp/include"   -I../inst/include -fopenmp -fpic  -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -g -c RcppArmadillo.cpp -o RcppArmadillo.o
g++ -std=gnu++11 -I"/usr/share/R/include" -DNDEBUG  -I"/home/moi/R/x86_64-pc-linux-gnu-library/3.5/Rcpp/include"   -I../inst/include -fopenmp -fpic  -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -g -c RcppExports.cpp -o RcppExports.o
g++ -std=gnu++11 -I"/usr/share/R/include" -DNDEBUG  -I"/home/moi/R/x86_64-pc-linux-gnu-library/3.5/Rcpp/include"   -I../inst/include -fopenmp -fpic  -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -g -c fastLm.cpp -o fastLm.o
g++ -std=gnu++11 -shared -L/usr/lib/R/lib -Wl,-Bsymbolic-functions -Wl,-z,relro -o RcppArmadillo.so RcppArmadillo.o RcppExports.o fastLm.o -fopenmp -llapack -lblas -lgfortran -lm -lquadmath -L/usr/lib/R/lib -lR
/usr/bin/ld : ne peut trouver -llapack
/usr/bin/ld : ne peut trouver -lblas
/usr/bin/ld : ne peut trouver -lgfortran
collect2: error: ld returned 1 exit status
/usr/share/R/share/make/shlib.mk:6 : la recette pour la cible « RcppArmadillo.so » a échouée
make: *** [RcppArmadillo.so] Erreur 1
ERROR: compilation failed for package ‘RcppArmadillo’
* removing ‘/home/moi/R/x86_64-pc-linux-gnu-library/3.5/RcppArmadillo’
ERROR: dependency ‘acepack’ is not available for package ‘Hmisc’
* removing ‘/home/moi/R/x86_64-pc-linux-gnu-library/3.5/Hmisc’
ERROR: dependencies ‘genefilter’, ‘Hmisc’, ‘RcppArmadillo’ are not available for package ‘DESeq2’
* removing ‘/home/moi/R/x86_64-pc-linux-gnu-library/3.5/DESeq2’

The downloaded source packages are in
        ‘/tmp/Rtmps9ezUh/downloaded_packages’
installation path not writeable, unable to update packages: evaluate
Warning messages:
1: In install.packages(pkgs = doing, lib = lib, repos = repos, ...) :
  installation of package ‘acepack’ had non-zero exit status
2: In install.packages(pkgs = doing, lib = lib, repos = repos, ...) :
  installation of package ‘genefilter’ had non-zero exit status
3: In install.packages(pkgs = doing, lib = lib, repos = repos, ...) :
  installation of package ‘RcppArmadillo’ had non-zero exit status
4: In install.packages(pkgs = doing, lib = lib, repos = repos, ...) :
  installation of package ‘Hmisc’ had non-zero exit status
5: In install.packages(pkgs = doing, lib = lib, repos = repos, ...) :
  installation of package ‘DESeq2’ had non-zero exit status
 

https://support.bioconductor.org/p/90994/
https://stackoverflow.com/questions/421 … -not-found
https://github.com/sagemath/cloud/issues/114
https://stackoverflow.com/questions/206 … -and-rcurl
https://support.bioconductor.org/p/100517/

Je ne me rends pas compte si le problème sort du cadre du forum ubuntu ou pas... dans tous les cas, si vous avez une idée je suis preneur smile


Je débute Linux !
(Ubuntu 16.04.5 LTS)

"L'ouverture d'esprit n'a jamais fait de fracture au crâne"

Hors ligne